/********************************************************/
/*                                                      */
/*               OO7 Benchmark                          */
/*                                                      */
/*              COPYRIGHT (C) 1993                      */
/*                                                      */
/*                Michael J. Carey 		        */
/*                David J. DeWitt 		        */
/*                Jeffrey Naughton 		        */
/*               Madison, WI U.S.A.                     */
/*                                                      */
/*	         ALL RIGHTS RESERVED                    */
/*                                                      */
/********************************************************/


////////////////////////////////////////////////////////////////////////////
//
// Connection Methods
//
////////////////////////////////////////////////////////////////////////////

#include <libc.h>
#include <string.h>

#include <oo.h>
#include "OO7.h"
#include "GenParams.h"

extern int	debugMode;
extern char*	types[NumTypes];

////////////////////////////////////////////////////////////////////////////
//
// Connection Constructor
//
////////////////////////////////////////////////////////////////////////////

Connection::Connection(ooHandle(AtomicPart)& fromPart,
		       ooHandle(AtomicPart)& toPart)
{
    if (debugMode) {
        printf("Connection::Connection(fromId = %d, toId = %d)\n",
            fromPart->id, toPart->id);
    }

    // initialize the simple stuff (some of it randomly)
    int typeNo = (int) (random() % NumTypes);
    strncpy(type, types[typeNo], TypeSize);
    length = (int) (random() % XYRange);
    set_from(fromPart);
    set_to(toPart);
}

